contrib: gmp: require GPL or GNUv3
authorRémi Denis-Courmont <remi@remlab.net>
Mon, 25 Sep 2017 16:48:01 +0000 (19:48 +0300)
committerRémi Denis-Courmont <remi@remlab.net>
Mon, 25 Sep 2017 18:45:30 +0000 (21:45 +0300)
contrib/src/gmp/rules.mak

index a2f32d1..9b060f8 100644 (file)
@@ -26,7 +26,11 @@ gmp: gmp-$(GMP_VERSION).tar.bz2 .sum-gmp
        $(APPLY) $(SRC)/gmp/ppc64.patch
        $(MOVE)
 
+# GMP requires either GPLv2 or LGPLv3
 .gmp: gmp
+ifndef GPL
+       $(REQUIRE_GNUV3)
+endif
        cd $< && $(HOSTVARS) ./configure $(HOSTCONF) $(GMP_CONF)
        cd $< && $(MAKE) install
        touch $@